using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("Pathos III Security Department", "Pathos III", ModAPI.LoadSprite("Png.png"));



















           




                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "ID tag",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "ID.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("idT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ID.png", 7f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );



                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pistol Holster",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "holster.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("pissT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hoes.png", 1.1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "hel.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("helT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hel.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




                                   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vest (top)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Vest, can be a normal vest or a cadet vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("vestT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pop.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 15;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





                                                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Normal bottom vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Vest, with the Vest (top).",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("vestT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cum.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 15;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





                                                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadet bottom vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Vest, with the Vest (top).",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("vestT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("piss.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 15;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





                                                                       ModAPI.Register(
                            new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "SRU top vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Vest, with other SRU vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("sruVT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SRU2.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 15;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );







                                                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "SRU bottom vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Vest, with other SRU vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("sruVT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SRU1.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 15;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                                                                                               ModAPI.Register(
                                        new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "SRU helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "hel.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("hel2T.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sruH.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 15;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );






















            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Security Department (SD).",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "SD, with the normal vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("sdT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("bomb.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1f);
                    }
                }
            );













                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Security cadet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "SD, with the normal TOP vest and cadet bottom vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("sd2T.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sd.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var head = Instance.transform.Find("Head");
                        var hat = new GameObject("Hat");
                        hat.transform.parent = head;
                        hat.transform.rotation = head.rotation;
                        hat.transform.localPosition = new Vector3(0, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatSprite = hat.GetOrAddComponent<SpriteRenderer>();
                        hatSprite.sprite = ModAPI.LoadSprite("capp.png", 1f);
                        hatSprite.sortingOrder = head.GetComponent<SpriteRenderer>().sortingOrder + 1;
                        hatSprite.sortingLayerName = head.GetComponent<SpriteRenderer>().sortingLayerName;

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1f);
                    }
                }
            );








                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Military Police (MP)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "MP, goes with the normal vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("mpT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MP.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var head = Instance.transform.Find("Head");
                        var hat = new GameObject("Hat");
                        hat.transform.parent = head;
                        hat.transform.rotation = head.rotation;
                        hat.transform.localPosition = new Vector3(0, 0f);
                        hat.transform.localScale = new Vector3(1f, 1f);
                        var hatSprite = hat.GetOrAddComponent<SpriteRenderer>();
                        hatSprite.sprite = ModAPI.LoadSprite("mpp.png", 1f);
                        hatSprite.sortingOrder = head.GetComponent<SpriteRenderer>().sortingOrder + 1;
                        hatSprite.sortingLayerName = head.GetComponent<SpriteRenderer>().sortingLayerName;

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1f);
                    }
                }
            );





                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Combat Medic Unit (CM)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "CM, goes with normal vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("cmT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("CM.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1f);
                    }
                }
            );










                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Security Response Unit (SRU)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "SRU, goes with SRU vest.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("sruT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SRU.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1f);
                    }
                }
            );



















                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"), 
        NameOverride = "CM MP5", 
        NameToOrderByOverride = "!",
        DescriptionOverride = "CM's fav gun.", 
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"), 
        ThumbnailOverride = ModAPI.LoadSprite("fack.png"), 
        AfterSpawn = (Instance) => 
        {

                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 1.3f);
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp5.png", 1.3f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp52.png", 1.3f);
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.57f, 0.09f);

                        var childObject = new GameObject("fuck");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("mp5.png", 1.3f);
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;


           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "huh"; 
            customCartridge.Damage *= 0.6f; 
            customCartridge.StartSpeed *= 1.5f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 2f; 
            customCartridge.Recoil *= 1.5f; 
            customCartridge.ImpactForce *= 2.6f; 
	    firearm.AutomaticFireInterval = 0.11f;
            firearm.Automatic = true;
           firearm.casingPosition = new Vector2(0.06f, 0.12f);

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("mp.wav"),
            };

                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.03f)
                        };


        }
    }
);












                                    ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "Glock (17)",
        NameToOrderByOverride = "I just stole this from magdump.",
        DescriptionOverride = "I just stole this from magdump.",
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
        ThumbnailOverride = ModAPI.LoadSprite("fuck5.png"),
        AfterSpawn = (Instance) =>
        {
            ModAPI.KeepExtraObjects();

            var Slide = Instance.transform.Find("Slide");
            Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glockS.png", 1f);
            Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
            Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glock.png", 1f);
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
            Instance.GetComponent<SpriteRenderer>().sortingOrder = -2;

            var childObject = new GameObject("ChildObject");
            childObject.transform.SetParent(Instance.transform);
            childObject.transform.localPosition = new Vector3(4f, 4f); //offset 
            childObject.transform.rotation = Instance.transform.rotation;
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite(".png", 11f);
            childSprite.sortingLayerName = "Default";

            var firearm = Instance.GetComponent<FirearmBehaviour>();

            Cartridge customCartridge = ModAPI.FindCartridge("9mm");
            firearm.casingPosition = new Vector3(0f, 0.1f);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }
            Instance.AddComponent<BoxCollider2D>();
            Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

            Instance.FixColliders();
            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2000f, 0.0900f);
            firearm.ShotSounds = new AudioClip[]
            {
                            ModAPI.LoadSound("balls.wav"),
            };



        }
    }
);












                                                ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "Glock (18)",
        NameToOrderByOverride = "I just stole this from magdump.",
        DescriptionOverride = "I just stole this from magdump.",
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
        ThumbnailOverride = ModAPI.LoadSprite("fuck4.png"),
        AfterSpawn = (Instance) =>
        {
            ModAPI.KeepExtraObjects();

            var Slide = Instance.transform.Find("Slide");
            Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glock2S.png", 1f);
            Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
            Slide.GetComponent<SpriteRenderer>().sortingOrder = -1;


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glock2.png", 1f);
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
            Instance.GetComponent<SpriteRenderer>().sortingOrder = -2;

            var childObject = new GameObject("ChildObject");
            childObject.transform.SetParent(Instance.transform);
            childObject.transform.localPosition = new Vector3(4f, 4f); //offset 
            childObject.transform.rotation = Instance.transform.rotation;
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite(".png", 11f);
            childSprite.sortingLayerName = "Default";

            var firearm = Instance.GetComponent<FirearmBehaviour>();


            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
            customCartridge.name = "huh";
            customCartridge.Damage *= 0.6f;
            customCartridge.StartSpeed *= 1.5f;
            customCartridge.PenetrationRandomAngleMultiplier *= 2f;
            customCartridge.Recoil *= 2.2f;
            customCartridge.ImpactForce *= 2.6f;
            firearm.AutomaticFireInterval = 0.11f;
            firearm.Automatic = true;
            firearm.casingPosition = new Vector2(0.06f, 0.12f);


            firearm.Cartridge = customCartridge;

            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }
            Instance.AddComponent<BoxCollider2D>();
            Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

            Instance.FixColliders();
            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2000f, 0.0900f);
            firearm.ShotSounds = new AudioClip[]
            {
                            ModAPI.LoadSound("balls.wav"),
            };



        }
    }
);







                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "FN P90", 
        NameToOrderByOverride = "!",
        DescriptionOverride = "SD and CM's fav gun.", 
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"), 
        ThumbnailOverride = ModAPI.LoadSprite("fuck3.png"), 
        AfterSpawn = (Instance) => 
        {

                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pbolt.png", 1.5f);
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("p902.png", 1.5f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("p90.png", 1.5f);
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.44f, 0.02f);

                        var childObject = new GameObject("fuck");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("p902.png", 1.5f);
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;



            var firearm = Instance.GetComponent<FirearmBehaviour>();


            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
            customCartridge.name = "what";
            customCartridge.Damage *= 0.8f;
            customCartridge.StartSpeed *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 2f;
            customCartridge.Recoil *= 1.9f;
            customCartridge.ImpactForce *= 2.0f;
            firearm.AutomaticFireInterval = 0.07f;
            firearm.Automatic = true;
            firearm.InitialInaccuracy = 0.0001f;
            firearm.casingPosition = new Vector2(-0.23f, 0.06f);


            firearm.Cartridge = customCartridge;


            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("piss.wav"),
            };

            Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.0001f)
                        };


        }
    }
);

                                    ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "G36C", 
        NameToOrderByOverride = "!",
        DescriptionOverride = "SD's fav gun.", 
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"), 
        ThumbnailOverride = ModAPI.LoadSprite("a.png"), 
        AfterSpawn = (Instance) => 
        {

                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gbolt.png", 1.3f);
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("g362.png", 1.3f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("g36.png", 1.3f);
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.67f, 0.09f);

                        var childObject = new GameObject("fuck");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("g362.png", 1.3f);
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;



            var firearm = Instance.GetComponent<FirearmBehaviour>();


            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
            customCartridge.name = "what";
            customCartridge.Damage *= 0.8f;
            customCartridge.StartSpeed *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 2f;
            customCartridge.Recoil *= 1.9f;
            customCartridge.ImpactForce *= 2.0f;
            firearm.AutomaticFireInterval = 0.11f;
            firearm.Automatic = true;
            firearm.InitialInaccuracy = 0.0001f;
            firearm.casingPosition = new Vector2(-0.1f, 0.1f);


            firearm.Cartridge = customCartridge;


            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("mp.wav"),
            };

            Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.03f)
                        };


        }
    }
);





            ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Rifle"),
NameOverride = "M4A1 (tan)",
NameToOrderByOverride = "!",
DescriptionOverride = "SRU's fav gun.",
CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
ThumbnailOverride = ModAPI.LoadSprite("fuck.png"),
AfterSpawn = (Instance) =>
{

ModAPI.KeepExtraObjects();

var GunSlide = Instance.transform.Find("Slide");
GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mbolt.png", 1f);
GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m4.png", 1f);
foreach (var c in Instance.GetComponents<Collider2D>())
{
    GameObject.Destroy(c);
}
Instance.FixColliders();
Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m42.png", 1f);
Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.57f, 0.09f);

var childObject = new GameObject("fuck");
childObject.transform.SetParent(Instance.transform);
childObject.transform.localPosition = new Vector3(0f, 0f);
childObject.transform.localScale = new Vector3(1f, 1f);
childObject.transform.rotation = Instance.transform.rotation;
var childSprite = childObject.AddComponent<SpriteRenderer>();
childSprite.sprite = ModAPI.LoadSprite("m4.png", 1f);
childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
childSprite.sortingLayerName = "Middle";
childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;



var firearm = Instance.GetComponent<FirearmBehaviour>();


Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
customCartridge.name = "huh";
customCartridge.Damage *= 0.6f;
customCartridge.StartSpeed *= 1.5f;
customCartridge.PenetrationRandomAngleMultiplier *= 2f;
customCartridge.Recoil *= 1.5f;
customCartridge.ImpactForce *= 2.6f;
firearm.AutomaticFireInterval = 0.11f;
firearm.Automatic = true;
firearm.casingPosition = new Vector2(0.06f, 0.12f);


firearm.Cartridge = customCartridge;


firearm.ShotSounds = new AudioClip[]
{
                ModAPI.LoadSound("m4.wav"),
};

Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.03f)
            };


}
}
);








            ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Rifle"),
    NameOverride = "M4A1 (green)",
    NameToOrderByOverride = "!",
    DescriptionOverride = "SRU's fav gun.",
    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
    ThumbnailOverride = ModAPI.LoadSprite("fuck2.png"),
    AfterSpawn = (Instance) =>
    {

        ModAPI.KeepExtraObjects();

        var GunSlide = Instance.transform.Find("Slide");
        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mbolt.png", 1f);
        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m4G.png", 1f);
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m4G2.png", 1f);
        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.57f, 0.09f);

        var childObject = new GameObject("fuck");
        childObject.transform.SetParent(Instance.transform);
        childObject.transform.localPosition = new Vector3(0f, 0f);
        childObject.transform.localScale = new Vector3(1f, 1f);
        childObject.transform.rotation = Instance.transform.rotation;
        var childSprite = childObject.AddComponent<SpriteRenderer>();
        childSprite.sprite = ModAPI.LoadSprite("m4G.png", 1f);
        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
        childSprite.sortingLayerName = "Middle";
        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;



        var firearm = Instance.GetComponent<FirearmBehaviour>();


        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "huh";
        customCartridge.Damage *= 0.6f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 2f;
        customCartridge.Recoil *= 1.5f;
        customCartridge.ImpactForce *= 2.6f;
        firearm.AutomaticFireInterval = 0.11f;
        firearm.Automatic = true;
        firearm.casingPosition = new Vector2(0.06f, 0.12f);


        firearm.Cartridge = customCartridge;


        firearm.ShotSounds = new AudioClip[]
        {
                ModAPI.LoadSound("m4.wav"),
        };

        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
        {
                            new Vector3(-0.20f, -0.03f)
            };


    }
}
);









            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Walkie Talkie",
                    NameToOrderByOverride = "Report escaping class ds on the radio!",
                    DescriptionOverride = "Report escaping class ds on the radio!",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("walk.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ratio.png", 1f); //get the SpriteRenderer and replace its sprite with a custom one
                        Instance.FixColliders();
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Bowling Pin");

                        if (Instance.GetComponent<AudioSource>() == null)
                        {
                            Instance.AddComponent(typeof(AudioSource));
                        }

                        AudioSource sound = Instance.GetComponent<AudioSource>();
                        sound.minDistance = 10;
                        sound.maxDistance = 500;
                        sound.spatialBlend = 1f;
                        sound.dopplerLevel = 0f;
                        sound.spread = 35f;
                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("R1.wav"),
                            ModAPI.LoadSound("R2.wav"),
                        };
                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            sound.clip = AudioData[index];
                            sound.Play();
                            index++;
                            if (index == AudioData.Length) index = 0;
                        };

                        Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "MP shotgun", 
        NameToOrderByOverride = "MP's fav gun.",
        DescriptionOverride = "MP's fav gun.", 
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"), 
        ThumbnailOverride = ModAPI.LoadSprite("popp.png"), 
        AfterSpawn = (Instance) => 
                    {

                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("boltS.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("shotty.png", 1f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("shotty.png");
            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.76f, 0.06f);
            Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 7;

                        var childObject = new GameObject("what");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("shotty2.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;


           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x51mm"); 
            customCartridge.name = "man"; 
            customCartridge.Damage *= 0.2f; 
            customCartridge.StartSpeed *= 1f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
            customCartridge.Recoil *= 0.5f; 
            customCartridge.ImpactForce *= 1.5f; 
            firearm.casingPosition = new Vector2(0f, 0.12f);
	    firearm.AutomaticFireInterval = 0.6f;
            firearm.Automatic = false;
            firearm.InitialInaccuracy = 0.09f;
                        firearm.EjectShells = true;

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("shoot.wav"),

            };

        }
    }
);



                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Really fucking OP shield", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "ITS SO FUCKING OP, THEY JUST SHIELD UP AND TASER YOU AND SHOOT YOUR TASED BODY. YOU CAN DO NOTHING! NOTHING! YOU AND THE SD KNOW YOUR DONE ONCE THEY TASE YOU. JUST SIT THERE. AND FUCKING DIE. PLEASE DAX. DONT GIVE EVERY SD THIS IN PATHOS 4. PLEASE.", //new item description
        CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("opT.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("OP.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            var phys = Instance.GetComponent<PhysicalBehaviour>();
            phys.Properties = ModAPI.FindPhysicalProperties("Bowling Pin");
        }
    }
);




        




                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Protocol Uproar Siren",
                    NameToOrderByOverride = "class ds did a funni",
                    DescriptionOverride = "class ds did a funni.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("puss.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bob.png", 1f); //get the SpriteRenderer and replace its sprite with a custom one
                        Instance.FixColliders();
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Bowling Pin");

                        if (Instance.GetComponent<AudioSource>() == null)
                        {
                            Instance.AddComponent(typeof(AudioSource));
                        }

                        AudioSource sound = Instance.GetComponent<AudioSource>();
                        sound.minDistance = 10;
                        sound.maxDistance = 500;
                        sound.spatialBlend = 1f;
                        sound.dopplerLevel = 0f;
                        sound.spread = 35f;
                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("up.mp3"),
                        };
                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            sound.clip = AudioData[index];
                            sound.Play();
                            index++;
                            if (index == AudioData.Length) index = 0;
                        };

                        Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );





                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Protocol Uproar Alarm",
                    NameToOrderByOverride = "class ds did a funni",
                    DescriptionOverride = "class ds did a funni.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("puss.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bob.png", 1f); //get the SpriteRenderer and replace its sprite with a custom one
                        Instance.FixColliders();
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Bowling Pin");

                        if (Instance.GetComponent<AudioSource>() == null)
                        {
                            Instance.AddComponent(typeof(AudioSource));
                        }

                        AudioSource sound = Instance.GetComponent<AudioSource>();
                        sound.minDistance = 10;
                        sound.maxDistance = 999999999;
                        sound.spatialBlend = 10f;
                        sound.dopplerLevel = 0f;
                        sound.spread = 50;
                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("rea.mp3"),
                        };
                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            sound.clip = AudioData[index];
                            sound.Play();
                            index++;
                            if (index == AudioData.Length) index = 0;
                        };

                        Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );

                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Protocol Red Heron Siren",
                    NameToOrderByOverride = "shits hit the fan",
                    DescriptionOverride = "shits hit the fan.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("puss.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bob.png", 1f); //get the SpriteRenderer and replace its sprite with a custom one
                        Instance.FixColliders();
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Bowling Pin");

                        if (Instance.GetComponent<AudioSource>() == null)
                        {
                            Instance.AddComponent(typeof(AudioSource));
                        }

                        AudioSource sound = Instance.GetComponent<AudioSource>();
                        sound.minDistance = 10;
                        sound.maxDistance = 500;
                        sound.spatialBlend = 1f;
                        sound.dopplerLevel = 0f;
                        sound.spread = 35f;
                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("red.mp3"),
                        };
                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            sound.clip = AudioData[index];
                            sound.Play();
                            index++;
                            if (index == AudioData.Length) index = 0;
                        };

                        Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );




                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Protocol Red Heron Alarm",
                    NameToOrderByOverride = "shits hit the fan",
                    DescriptionOverride = "shits hit the fan.",
                    CategoryOverride = ModAPI.FindCategory("Pathos III Security Department"),
                    ThumbnailOverride = ModAPI.LoadSprite("puss.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bob.png", 1f); //get the SpriteRenderer and replace its sprite with a custom one
                        Instance.FixColliders();
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Bowling Pin");

                        if (Instance.GetComponent<AudioSource>() == null)
                        {
                            Instance.AddComponent(typeof(AudioSource));
                        }

                        AudioSource sound = Instance.GetComponent<AudioSource>();
                        sound.minDistance = 10;
                        sound.maxDistance = 999999f;
                        sound.spatialBlend = 10f;
                        sound.dopplerLevel = 0f;
                        sound.spread = 100f;
                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("real.mp3"),
                        };
                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            sound.clip = AudioData[index];
                            sound.Play();
                            index++;
                            if (index == AudioData.Length) index = 0;
                        };

                        Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;
                    }
                }
            );



        }
    }

}